* [gentoo-commits] repo/gentoo:master commit in: net-misc/proxychains/files/, net-misc/proxychains/
@ 2019-11-18 5:27 Tim Harder
0 siblings, 0 replies; 2+ messages in thread
From: Tim Harder @ 2019-11-18 5:27 UTC (permalink / raw
To: gentoo-commits
commit: ff77ff68c1c0e2c62fa02d95886c703eb401adab
Author: Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 18 05:17:00 2019 +0000
Commit: Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Mon Nov 18 05:17:00 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff77ff68
net-misc/proxychains: version bump to 4.14
Closes: https://bugs.gentoo.org/675676
Signed-off-by: Tim Harder <radhermit <AT> gentoo.org>
net-misc/proxychains/Manifest | 1 +
.../files/proxychains-4.14-makefile.patch | 43 +++++++++++++++++++
net-misc/proxychains/proxychains-4.14.ebuild | 48 ++++++++++++++++++++++
3 files changed, 92 insertions(+)
diff --git a/net-misc/proxychains/Manifest b/net-misc/proxychains/Manifest
index 3be42d78392..d7cd993d897 100644
--- a/net-misc/proxychains/Manifest
+++ b/net-misc/proxychains/Manifest
@@ -1 +1,2 @@
DIST proxychains-ng-4.12.tar.xz 31816 BLAKE2B 1267cd67ca3a21737abe9e510103c35e409a4afebf30c8917b7be8a84f1bb4edc55b6ec633eb5e63682ed2f6c277a464e16adaa52c70c8bac2588cfe7b36f1a6 SHA512 c1319065b2885fb16f1cd10092a25f49c20ace82dc67edcb2e8845fe79274fe63f5214d117eef3bfdffdc6aa8bf6904ea216047bd626043c5ecb36cd15d5560a
+DIST proxychains-ng-4.14.tar.xz 33844 BLAKE2B 598dd7973fd341a9916ece55ee18aeb0e0654d01659ffd3f5b7b9437fbb3660376aca77cd1326553a1beffd1ea4f95c6eb3da9c0f6ce43f3d72b1a16cf2bab4e SHA512 75a1a4629d2b7ebac9b909a694b395339cf669fa4e23bfcc57938e46377b5619f31c9651d2bc457d1ad10ec1be7747981106392bf8bf65999cb7bb9c748d7e95
diff --git a/net-misc/proxychains/files/proxychains-4.14-makefile.patch b/net-misc/proxychains/files/proxychains-4.14-makefile.patch
new file mode 100644
index 00000000000..3724ec6a5a2
--- /dev/null
+++ b/net-misc/proxychains/files/proxychains-4.14-makefile.patch
@@ -0,0 +1,43 @@
+--- proxychains-ng-4.14/Makefile
++++ proxychains-ng-4.14/Makefile
+@@ -22,10 +22,8 @@
+
+ GENH = src/version.h
+
+-CFLAGS += -Wall -O0 -g -std=c99 -D_GNU_SOURCE -pipe
+-NO_AS_NEEDED = -Wl,--no-as-needed
+-LIBDL = -ldl
+-LDFLAGS = -fPIC $(NO_AS_NEEDED) $(LIBDL) -lpthread
++CFLAGS = -Wall -std=c99 -D_GNU_SOURCE
++LIBS = -ldl -lpthread
+ INC =
+ PIC = -fPIC
+ AR = $(CROSS_COMPILE)ar
+@@ -36,11 +34,11 @@
+ LD_SET_SONAME = -Wl,-soname=
+ INSTALL = ./tools/install.sh
+
+-LDSO_PATHNAME = libproxychains4.$(LDSO_SUFFIX)
++LDSO_PATHNAME = libproxychains.$(LDSO_SUFFIX)
+
+ SHARED_LIBS = $(LDSO_PATHNAME)
+ ALL_LIBS = $(SHARED_LIBS)
+-PXCHAINS = proxychains4
++PXCHAINS = proxychains
+ ALL_TOOLS = $(PXCHAINS)
+ ALL_CONFIGS = src/proxychains.conf
+
+@@ -82,11 +80,10 @@
+ $(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_MAIN) $(INC) $(PIC) -c -o $@ $<
+
+ $(LDSO_PATHNAME): $(LOBJS)
+- $(CC) $(LDFLAGS) $(LD_SET_SONAME)$(LDSO_PATHNAME) $(USER_LDFLAGS) \
+- -shared -o $@ $(LOBJS) $(SOCKET_LIBS)
++ $(CC) $(LDFLAGS) $(LD_SET_SONAME)$(LDSO_PATHNAME) -shared $(PIC) -o $@ $(LOBJS) $(LIBS) $(SOCKET_LIBS)
+
+ $(ALL_TOOLS): $(OBJS)
+- $(CC) src/main.o src/common.o $(USER_LDFLAGS) -o $(PXCHAINS)
++ $(CC) $(LDFLAGS) src/main.o src/common.o -o $(PXCHAINS)
+
+
+ .PHONY: all clean install install-config install-libs install-tools
diff --git a/net-misc/proxychains/proxychains-4.14.ebuild b/net-misc/proxychains/proxychains-4.14.ebuild
new file mode 100644
index 00000000000..9897fb23beb
--- /dev/null
+++ b/net-misc/proxychains/proxychains-4.14.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs multilib
+
+MY_PN=${PN}-ng
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="force any tcp connections to flow through a proxy (or proxy chain)"
+HOMEPAGE="https://github.com/rofl0r/proxychains-ng/"
+SRC_URI="http://ftp.barfooze.de/pub/sabotage/tarballs/${MY_P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+
+S=${WORKDIR}/${MY_P}
+
+PATCHES=( "${FILESDIR}"/${P}-makefile.patch )
+
+src_prepare() {
+ default
+ sed -i "s/^\(LDSO_SUFFIX\).*/\1 = so.${PV}/" Makefile || die
+ tc-export CC
+}
+
+src_configure() {
+ # not autotools
+ ./configure \
+ --prefix="${EPREFIX}"/usr \
+ --libdir="${EPREFIX}"/usr/$(get_libdir) \
+ --sysconfdir="${EPREFIX}"/etc \
+ || die
+}
+
+src_install() {
+ dobin ${PN}
+ dodoc AUTHORS README TODO
+
+ dolib.so lib${PN}.so.${PV}
+ dosym lib${PN}.so.${PV} /usr/$(get_libdir)/lib${PN}.so.${PV:0:1}
+ dosym lib${PN}.so.${PV} /usr/$(get_libdir)/lib${PN}.so
+
+ insinto /etc
+ doins src/${PN}.conf
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-misc/proxychains/files/, net-misc/proxychains/
@ 2021-11-09 2:07 Georgy Yakovlev
0 siblings, 0 replies; 2+ messages in thread
From: Georgy Yakovlev @ 2021-11-09 2:07 UTC (permalink / raw
To: gentoo-commits
commit: 95c113c470cdfa21a78d06d642f9f4ad43636393
Author: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 9 02:04:32 2021 +0000
Commit: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Tue Nov 9 02:04:47 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95c113c4
net-misc/proxychains: drop 4.12-r1
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>
net-misc/proxychains/Manifest | 1 -
.../files/proxychains-4.12-makefile.patch | 43 -------------------
net-misc/proxychains/proxychains-4.12-r1.ebuild | 48 ----------------------
3 files changed, 92 deletions(-)
diff --git a/net-misc/proxychains/Manifest b/net-misc/proxychains/Manifest
index d7cd993d897..5dd68809c8d 100644
--- a/net-misc/proxychains/Manifest
+++ b/net-misc/proxychains/Manifest
@@ -1,2 +1 @@
-DIST proxychains-ng-4.12.tar.xz 31816 BLAKE2B 1267cd67ca3a21737abe9e510103c35e409a4afebf30c8917b7be8a84f1bb4edc55b6ec633eb5e63682ed2f6c277a464e16adaa52c70c8bac2588cfe7b36f1a6 SHA512 c1319065b2885fb16f1cd10092a25f49c20ace82dc67edcb2e8845fe79274fe63f5214d117eef3bfdffdc6aa8bf6904ea216047bd626043c5ecb36cd15d5560a
DIST proxychains-ng-4.14.tar.xz 33844 BLAKE2B 598dd7973fd341a9916ece55ee18aeb0e0654d01659ffd3f5b7b9437fbb3660376aca77cd1326553a1beffd1ea4f95c6eb3da9c0f6ce43f3d72b1a16cf2bab4e SHA512 75a1a4629d2b7ebac9b909a694b395339cf669fa4e23bfcc57938e46377b5619f31c9651d2bc457d1ad10ec1be7747981106392bf8bf65999cb7bb9c748d7e95
diff --git a/net-misc/proxychains/files/proxychains-4.12-makefile.patch b/net-misc/proxychains/files/proxychains-4.12-makefile.patch
deleted file mode 100644
index 98fdaacba6c..00000000000
--- a/net-misc/proxychains/files/proxychains-4.12-makefile.patch
+++ /dev/null
@@ -1,43 +0,0 @@
---- proxychains-ng-4.12/Makefile
-+++ proxychains-ng-4.12/Makefile
-@@ -22,10 +22,8 @@
-
- GENH = src/version.h
-
--CFLAGS += -Wall -O0 -g -std=c99 -D_GNU_SOURCE -pipe
--NO_AS_NEEDED = -Wl,--no-as-needed
--LIBDL = -ldl
--LDFLAGS = -fPIC $(NO_AS_NEEDED) $(LIBDL) -lpthread
-+CFLAGS = -Wall -std=c99 -D_GNU_SOURCE
-+LIBS = -ldl -lpthread
- INC =
- PIC = -fPIC
- AR = $(CROSS_COMPILE)ar
-@@ -35,11 +33,11 @@
- LD_SET_SONAME = -Wl,-soname=
- INSTALL = ./tools/install.sh
-
--LDSO_PATHNAME = libproxychains4.$(LDSO_SUFFIX)
-+LDSO_PATHNAME = libproxychains.$(LDSO_SUFFIX)
-
- SHARED_LIBS = $(LDSO_PATHNAME)
- ALL_LIBS = $(SHARED_LIBS)
--PXCHAINS = proxychains4
-+PXCHAINS = proxychains
- ALL_TOOLS = $(PXCHAINS)
- ALL_CONFIGS = src/proxychains.conf
-
-@@ -81,11 +79,10 @@
- $(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_MAIN) $(INC) $(PIC) -c -o $@ $<
-
- $(LDSO_PATHNAME): $(LOBJS)
-- $(CC) $(LDFLAGS) $(LD_SET_SONAME)$(LDSO_PATHNAME) $(USER_LDFLAGS) \
-- -shared -o $@ $(LOBJS)
-+ $(CC) $(LDFLAGS) $(LD_SET_SONAME)$(LDSO_PATHNAME) -shared $(PIC) -o $@ $(LOBJS) $(LIBS)
-
- $(ALL_TOOLS): $(OBJS)
-- $(CC) src/main.o src/common.o $(USER_LDFLAGS) -o $(PXCHAINS)
-+ $(CC) $(LDFLAGS) src/main.o src/common.o -o $(PXCHAINS)
-
-
- .PHONY: all clean install install-config install-libs install-tools
diff --git a/net-misc/proxychains/proxychains-4.12-r1.ebuild b/net-misc/proxychains/proxychains-4.12-r1.ebuild
deleted file mode 100644
index 65dd3aabd8c..00000000000
--- a/net-misc/proxychains/proxychains-4.12-r1.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit toolchain-funcs
-
-MY_PN=${PN}-ng
-MY_P=${MY_PN}-${PV}
-
-DESCRIPTION="force any tcp connections to flow through a proxy (or proxy chain)"
-HOMEPAGE="https://github.com/rofl0r/proxychains-ng/"
-SRC_URI="https://github.com/rofl0r/${MY_PN}/releases/download/v${PV}/${MY_P}.tar.xz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 ppc ~sparc x86"
-
-S=${WORKDIR}/${MY_P}
-
-PATCHES=( "${FILESDIR}"/${P}-makefile.patch )
-
-src_prepare() {
- default
- sed -i "s/^\(LDSO_SUFFIX\).*/\1 = so.${PV}/" Makefile || die
- tc-export CC
-}
-
-src_configure() {
- # not autotools
- ./configure \
- --prefix="${EPREFIX}"/usr \
- --libdir="${EPREFIX}"/usr/$(get_libdir) \
- --sysconfdir="${EPREFIX}"/etc \
- || die
-}
-
-src_install() {
- dobin ${PN}
- dodoc AUTHORS README TODO
-
- dolib.so lib${PN}.so.${PV}
- dosym lib${PN}.so.${PV} /usr/$(get_libdir)/lib${PN}.so.${PV:0:1}
- dosym lib${PN}.so.${PV} /usr/$(get_libdir)/lib${PN}.so
-
- insinto /etc
- doins src/${PN}.conf
-}
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2021-11-09 2:07 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-11-18 5:27 [gentoo-commits] repo/gentoo:master commit in: net-misc/proxychains/files/, net-misc/proxychains/ Tim Harder
-- strict thread matches above, loose matches on Subject: below --
2021-11-09 2:07 Georgy Yakovlev
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox